### Property

# Gio DBusProxy:g-bus-type

since: 2.26

#### Declaration

    property g-bus-type: Gio.BusType [ write, construct-only ]

#### Description

If this property is not `G_BUS_TYPE_NONE`, then `GDBusProxy:g-connection` must be `NULL` and will be set to the `GDBusConnection` obtained by calling `g_bus_get()` with the value of this property.

Type: | `GBusType`
Available since: | 2.26

Default value | G_BUS_TYPE_NONE

#### Flags

Readable | no
Writable | yes
Construct | no
Construct only | yes